Option Strict Off
Option Explicit On
Imports System.Windows.Forms
'------------------------------------ 2023/11/09 ------------------------------------
Public Class frmDlgGameCardSize

#Region "宣言"
    Private mMe_gmDlgID As Integer = 0
    Private mDlgLoading As Boolean = False
    Private mlstカードサイズ大中小モード, mlst残り枚数でカードサイズ変更 As Integer
    Private mlstゲームカードのサイズListIndex_0_4, mlstゲームカードのサイズ変更比率ListIndex_0_4 As Integer
    '**************************************************************************************************************************************
    Private WithEvents イベントgAppEventMaker As 五clsEventMaker
    '**************************************************************************************************************************************
    Event ゲームカードサイズDlgの初期化をしてください(ByRef wIsOK As Boolean, ByRef wMe_gmDlgID As Integer, ByRef wlstカードサイズ大中小モード As ListBox, ByRef wlst残り枚数でカードサイズ変更 As ListBox, ByRef wlstゲームカードのサイズ As ListBox, ByRef wlstゲームカードのサイズ変更比率 As ListBox)
    Event ゲームカードサイズDlgの_MenusEnabled_を設定してください(ByRef wmnuすべて元に戻す As ToolStripMenuItem, ByRef wmnu規定値にリセット As ToolStripMenuItem, ByVal rmlstカードサイズ大中小モード As Boolean, ByVal rmlst残り枚数でカードサイズ変更 As Boolean, ByVal rmlstゲームカードのサイズListIndex_0_4 As Integer, ByVal rmlstゲームカードのサイズ変更比率ListIndex_0_4 As Integer)
    Event ゲームカードサイズDlgの_ControlEvent_を処理してください(ByRef OpEvent_大中小1_残り枚数2_カードのサイズ3_変更比率4 As Integer, ByRef rlstカードサイズ大中小モード As ListBox, ByRef rlst残り枚数でカードサイズ変更 As ListBox, ByRef rlstゲームカードのサイズ As ListBox, ByRef rlstゲームカードのサイズ変更比率 As ListBox)
    Event ゲームカードサイズDlgの_MenuEvent_を処理してください(ByRef mnuすべて元に戻す10__mnu規定値にリセット20__mnuカード枚数指定Do_1_2_3_4_5__mnuこのアプリを終了99 As Integer, ByRef wlstカードサイズ大中小モード As ListBox, ByRef wlst残り枚数でカードサイズ変更 As ListBox, ByRef wlstゲームカードのサイズ As ListBox, ByRef wlstゲームカードのサイズ変更比率 As ListBox, ByVal rmlstカードサイズ大中小モード As Boolean, ByVal rmlst残り枚数でカードサイズ変更 As Boolean, ByVal rmlstゲームカードのサイズListIndex_0_4 As Integer, ByVal rmlstゲームカードのサイズ変更比率ListIndex_0_4 As Integer)
#End Region

#Region "AppIniFileOp"
    Private Function zzAppIniFileOp(ByVal Load_0_QueryUnload_1_Resize_2_DoIniSave_3 As Long) As Boolean
        ''読出し時に　INI ファイルが存在しない場合は　False　を返します。
        If gggAppIniFile Is Nothing Then Return False
        Return gggAppIniFile.aaAppIniFileOp_フォームサイズと位置だけ_共通処理(Load_0_QueryUnload_1_Resize_2_DoIniSave_3, Me, "カードサイズオプション")
    End Function
#End Region

#Region "フォームイベント"
    Private Sub frmDlgGameCardSize_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        '---------------------------------------------------
        イベントgAppEventMaker = gAppEventMaker
        '---------------------------------------------------
        mDlgLoading = True
        Dim wIsOK As Boolean
        RaiseEvent ゲームカードサイズDlgの初期化をしてください(wIsOK, mMe_gmDlgID, lstカードサイズ大中小モード, lst残り枚数でカードサイズ変更, lstゲームカードのサイズ, lstゲームカードのサイズ変更比率)
        If Not wIsOK Then GoTo EXIT_ON_ERROR
        mlstカードサイズ大中小モード = lstカードサイズ大中小モード.SelectedIndex
        mlst残り枚数でカードサイズ変更 = lst残り枚数でカードサイズ変更.SelectedIndex
        mlstゲームカードのサイズListIndex_0_4 = lstゲームカードのサイズ.SelectedIndex
        mlstゲームカードのサイズ変更比率ListIndex_0_4 = lstゲームカードのサイズ変更比率.SelectedIndex
        gggbol = zzEnabledSet()
        mDlgLoading = False
        If Not zzAppIniFileOp(0) Then gggint = ⅩFormMove(gcoフォームをスクリーン中心に移動, Me) 'INI ファイルが存在しない場合に、このフォームを画面のセンターに表示するコード。
        '---------------------------------------------------
        gggbol = ⅩForm_OwnerSet_IconSet_TextSet(Me, "カードサイズオプション", Me.Owner)
        gggbol = イベントgAppEventMaker.MakeEventフォームの表示消去(mMe_gmDlgID, True)
        Exit Sub
        '---------------------------------------------------
EXIT_ON_ERROR:
        Call ⅩMsgBox_OK_情報("frmDlgGameCardSize_Load() 内でエラーが発生しました。")
        Me.Close()
    End Sub
    Private Sub mnu閉じる_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles mnu閉じる.Click
        Me.Close()
    End Sub
    Private Sub frmDlgGameCardSize_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        If Me.Visible Then gggint = zzAppIniFileOp(2)
        gggint = zzAppIniFileOp(1)
        If イベントgAppEventMaker Is Nothing Then
            イベントgAppEventMaker = gAppEventMaker
        End If
        gggbol = イベントgAppEventMaker.MakeEventフォームの表示消去(mMe_gmDlgID, False)
    End Sub
    Private Sub frmDlgGameCardSize_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        'qqqqq("frmDlgGameCardSize_FormClosed")
    End Sub
    Private Sub frmDlgGameCardSize_Disposed(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Disposed
        qqqqq("frmDlgGameCardSize_Disposed")
        Call gmアプリ固有クラス.aaゲームカードサイズDlg_Load_1_Disposed_2(2, Nothing)
    End Sub

#End Region

#Region "コントロール　イベント"
    Private Sub lstカードサイズ大中小モード_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles lstカードサイズ大中小モード.SelectedIndexChanged, lst残り枚数でカードサイズ変更.SelectedIndexChanged, lstゲームカードのサイズ.SelectedIndexChanged, lstゲームカードのサイズ変更比率.SelectedIndexChanged
        If gmアプリ終了する Then Return
        If mDlgLoading Then Return
        Dim opcode As Integer = IIf(sender Is lstカードサイズ大中小モード, 1, IIf(sender Is lst残り枚数でカードサイズ変更, 2, IIf(sender Is lstゲームカードのサイズ, 3, IIf(sender Is lstゲームカードのサイズ変更比率, 4, 0))))
        If opcode = 0 Then Return
        RaiseEvent ゲームカードサイズDlgの_ControlEvent_を処理してください(opcode, lstカードサイズ大中小モード, lst残り枚数でカードサイズ変更, lstゲームカードのサイズ, lstゲームカードのサイズ変更比率)
        gggbol = zzEnabledSet()
        'qqqqq("lstカードサイズ大中小モード_SelectedIndexChanged() ... With other 3 event")
    End Sub
#End Region

#Region "メニューイベント"
    Private Sub mnuすべて元に戻す_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles mnuすべて元に戻す.Click, mnu規定値にリセット.Click, mnuカード枚数指定Do_1.Click, mnuカード枚数指定Do_2.Click, mnuカード枚数指定Do_3.Click, mnuカード枚数指定Do_4.Click, mnuカード枚数指定Do_5.Click, mnuこのアプリを終了.Click
        If gmアプリ終了する Then Return
        Dim opcode As Integer = IIf(sender Is mnuすべて元に戻す, 10, IIf(sender Is mnu規定値にリセット, 20, IIf(sender Is mnuカード枚数指定Do_1, 1, IIf(sender Is mnuカード枚数指定Do_2, 2, IIf(sender Is mnuカード枚数指定Do_3, 3, IIf(sender Is mnuカード枚数指定Do_4, 4, IIf(sender Is mnuカード枚数指定Do_5, 5, IIf(sender Is mnuこのアプリを終了, 99, 0))))))))
        If opcode = 0 Then Return
        If opcode = 99 Then
            If ⅩMsgBox_アプリ終了しますか() Then Call zzMenusOpCOM(99)
        Else
            Call zzMenusOpCOM(opcode)
        End If
    End Sub
    Private Sub zzMenusOpCOM(ByRef mnuすべて元に戻す10__mnu規定値にリセット20__mnuカード枚数指定Do_1_2_3_4_5__mnuこのアプリを終了99 As Integer)
        If gmアプリ終了する Then Return
        If mDlgLoading Then Return
        RaiseEvent ゲームカードサイズDlgの_MenuEvent_を処理してください(mnuすべて元に戻す10__mnu規定値にリセット20__mnuカード枚数指定Do_1_2_3_4_5__mnuこのアプリを終了99, lstカードサイズ大中小モード, lst残り枚数でカードサイズ変更, lstゲームカードのサイズ, lstゲームカードのサイズ変更比率, mlstカードサイズ大中小モード, mlst残り枚数でカードサイズ変更, mlstゲームカードのサイズListIndex_0_4, mlstゲームカードのサイズ変更比率ListIndex_0_4)
        Select Case mnuすべて元に戻す10__mnu規定値にリセット20__mnuカード枚数指定Do_1_2_3_4_5__mnuこのアプリを終了99
            Case 10, 20
                gggbol = zzEnabledSet()
        End Select
    End Sub
    Private Function zzEnabledSet() As Boolean
        RaiseEvent ゲームカードサイズDlgの_MenusEnabled_を設定してください(mnuすべて元に戻す, mnu規定値にリセット, mlstカードサイズ大中小モード, mlst残り枚数でカードサイズ変更, mlstゲームカードのサイズListIndex_0_4, mlstゲームカードのサイズ変更比率ListIndex_0_4)
        Return True
    End Function
#End Region

#Region "イベントgAppEventMaker イベント"
    Private Sub イベントgAppEventMaker_スイスイとユラユラ開始と停止() Handles イベントgAppEventMaker.スイスイとユラユラ開始と停止
        If Me.Visible = False Then Return
        If ppスイスイフラフラ_いずれかあるいは両方_を実行中 Then Me.Close()
    End Sub
    Private Sub イベントgAppEventMaker_フォームの表示と消去(ByVal rフォーム名ID As Integer, ByVal r表示True消去False As Boolean) Handles イベントgAppEventMaker.フォームの表示と消去
        If gmアプリ終了する Then Return
        If Me.Visible = False Then Return
        If rフォーム名ID = mMe_gmDlgID Then Return
        If r表示True消去False = False Then Return
        Select Case rフォーム名ID
            Case gmDlgサウンド設定, gmDlgゲームカードサイズ設定, gmDlgオプション設定
                'no op
            Case Else
                Call mnu閉じる_Click(Nothing, Nothing)
        End Select
    End Sub
#End Region

End Class



